be.fgov.ehealth.aa.complextype.v1

## Class ProfessionalType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.ProfessionType
  - - be.fgov.ehealth.aa.complextype.v1.ProfessionalType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:32:55+02:00",
                 comments="JAXB RI v2.3.7")
      public class ProfessionalType
      extends ProfessionType
      implements Serializable

  Info on profession and speciality.

  Java class for ProfessionalType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ProfessionalType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Speciality" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfessionalType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Speciality>` | `getSpecialities()` Gets the value of the specialities property.

    - ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.ProfessionType

      `getAttributes, getProfessionCode, getProfessionFriendlyNames, setProfessionCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfessionalType

          public ProfessionalType()

  - ### Method Detail

    - #### getSpecialities

          public List<Speciality> getSpecialities()

      Gets the value of the specialities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the specialities property.

      For example, to add a new item, do as follows:

              getSpecialities().add(newItem);

      Objects of the following type(s) are allowed in the list `Speciality`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.